LoggingConfiguration (Gradle API 4.10.1)
Date: 2018-09-12

org.gradle.api.logging.configuration

## Interface LoggingConfiguration

- All Known Implementing Classes:
    StartParameter

      public interface LoggingConfiguration

  A `LoggingConfiguration` defines the logging settings for a Gradle build.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ConsoleOutput` | `getConsoleOutput()` Returns the style of logging output that should be written to the console.
    `LogLevel` | `getLogLevel()` Returns the minimum logging level to use.
    `ShowStacktrace` | `getShowStacktrace()` Returns the detail that should be included in stacktraces.
    `WarningMode` | `getWarningMode()` Specifies which type of warnings should be written to the console.
    `void` | `setConsoleOutput(ConsoleOutput consoleOutput)` Specifies the style of logging output that should be written to the console.
    `void` | `setLogLevel(LogLevel logLevel)` Specifies the minimum logging level to use.
    `void` | `setShowStacktrace(ShowStacktrace showStacktrace)` Sets the detail that should be included in stacktraces.
    `void` | `setWarningMode(WarningMode warningMode)` Specifies which type of warnings should be written to the console.

- - ### Method Detail

    - #### getLogLevel

          LogLevel getLogLevel()

      Returns the minimum logging level to use. All log messages with a lower log level are ignored. Defaults to `LogLevel.LIFECYCLE`.

    - #### setLogLevel

          void setLogLevel(LogLevel logLevel)

      Specifies the minimum logging level to use. All log messages with a lower log level are ignored.

    - #### getConsoleOutput

          ConsoleOutput getConsoleOutput()

      Returns the style of logging output that should be written to the console. Defaults to `ConsoleOutput.Auto`

    - #### setConsoleOutput

          void setConsoleOutput(ConsoleOutput consoleOutput)

      Specifies the style of logging output that should be written to the console.

    - #### getWarningMode

          @Incubating
          WarningMode getWarningMode()

      Specifies which type of warnings should be written to the console.
      Since:
        4.5

    - #### setWarningMode

          @Incubating
          void setWarningMode(WarningMode warningMode)

      Specifies which type of warnings should be written to the console.
      Since:
        4.5

    - #### getShowStacktrace

          ShowStacktrace getShowStacktrace()

      Returns the detail that should be included in stacktraces. Defaults to `ShowStacktrace.INTERNAL_EXCEPTIONS`.

    - #### setShowStacktrace

          void setShowStacktrace(ShowStacktrace showStacktrace)

      Sets the detail that should be included in stacktraces.